System 2.0.0.0 4.0.0.0 System.ValueType System.Collections.Generic.IEnumerator<T>

Queues are useful for storing messages in the order they were received for sequential processing. Objects stored in a are inserted at one end and removed from the other.

The capacity of a is the number of elements the can hold. As elements are added to a , the capacity is automatically increased as required by reallocating the internal array. The capacity can be decreased by calling .

accepts null as a valid value for reference types and allows duplicate elements.

Represents a first-in, first-out collection of objects.

- Property
  2.0.0.0
  4.0.0.0
  T To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.